# neutron_lib.objects.registry module

neutron_lib.objects.registry.contains(object_class_name)

  Determine if a given versioned object is loaded.

  Parameters:

    object_class_name – The class name of the versioned object to check for.

  Returns:

    True if the versioned object is loaded, and False otherwise.

neutron_lib.objects.registry.load_class(object_class_name)

  Return the versioned object for the given class name.

  Parameters:

    object_class_name – The class name of the versioned object to get.

  Returns:

    A reference to the class for the said object_class_name.

neutron_lib.objects.registry.new_instance(object_class_name, *inst_args, **inst_kwargs)

  Create a new instance of a versioned object.

  Parameters:

    - object_class_name – The name of the versioned object’s class to instantiate.

    - inst_args – Any args pass onto the constructor of the versioned object when creating it.

    - inst_kwargs – Any kwargs to pass onto the constructor of the object when creating it.

  Returns:

    A new instance of the versioned object.

this page last updated: 2026-03-03 11:51:03

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug